Search documentation of wx

# View Source wxPasswordEntryDialog (wx v2.4.3.1)

This class represents a dialog that requests a one-line password string from the user.

It is implemented as a generic wxWidgets dialog.

See: Overview cmndlg

This class is derived, and can use functions, from:

- `wxTextEntryDialog`

- `wxDialog`

- `wxTopLevelWindow`

- `wxWindow`

- `wxEvtHandler`

wxWidgets docs: wxPasswordEntryDialog

# Summary

## Types

wxPasswordEntryDialog()

## Functions

destroy(This)

Destroys the object

new(Parent, Message)

Equivalent to `new(Parent, Message, [])`.

new/3

Constructor.

# Types

# wxPasswordEntryDialog()

    -type wxPasswordEntryDialog() :: wx:wx_object().

# Functions

# destroy(This)

    -spec destroy(This :: wxPasswordEntryDialog()) -> ok.

Destroys the object

# new(Parent, Message)

    -spec new(Parent, Message) -> wxPasswordEntryDialog()
                 when Parent :: wxWindow:wxWindow(), Message :: unicode:chardata().

Equivalent to `new(Parent, Message, [])`.

# new/3

    -spec new(Parent, Message, [Option]) -> wxPasswordEntryDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Message :: unicode:chardata(),
                     Option ::
                         {caption, unicode:chardata()} |
                         {value, unicode:chardata()} |
                         {style, integer()} |
                         {pos, {X :: integer(), Y :: integer()}}.

Constructor.

Use `wxDialog:showModal/1` to show the dialog.